<?php   
define('IN_ECS', true);
/* 支付方式代碼 */

require(dirname(__FILE__) . '/includes/init.php');
require(ROOT_PATH . 'includes/lib_payment.php');
require(ROOT_PATH . 'includes/lib_order.php');

//預留版本資訊
$pay_check_version = !empty($_REQUEST['checkv']) ? trim($_REQUEST['checkv']) : '';
if($pay_check_version == 'version'){
die('v2.0');
}

$pay_code = !empty($_REQUEST['code']) ? trim($_REQUEST['code']) : '';
/* 參數是否為空 */
if (empty($pay_code))
{
    $msg = $_LANG['pay_not_exist'];
}
else                                                                 
{
        /* 檢查code裡面有沒有問號 */
    if (strpos($pay_code, '?') !== false)
    {
        $arr1 = explode('?', $pay_code);
        $arr2 = explode('=', $arr1[1]);

        $_REQUEST['code']   = $arr1[0];
        $_REQUEST[$arr2[0]] = $arr2[1];
        $_GET['code']       = $arr1[0];
        $_GET[$arr2[0]]     = $arr2[1];
        $pay_code           = $arr1[0];
    }
    
    $sql = "SELECT COUNT(*) FROM " . $ecs->table('payment') . " WHERE pay_code = '$pay_code' AND enabled = 1";
    if ($db->getOne($sql) == 0)
    {
        $msg = $_LANG['pay_disabled'];
    }
    else
    {
        $plugin_file = 'includes/modules/payment/' . $pay_code . '.php';

        /* 檢查插件文件是否存在，如果存在則驗證支付是否成功，否則則返回失敗信息 */
        if (file_exists($plugin_file))
        {
            /* 根據支付方式代碼創建支付類的對象並調用其響應操作方法 */
            include_once($plugin_file);

            //$payment = new $pay_code();
            //$msg     = $payment->Roturl_status();
            
            $payment = new $pay_code();            
            $msg     = ($payment->respond()) ?$msg="**<Roturlstatus>ecsok</Roturlstatus>" : $_LANG['pay_fail'];   
        }
        else
        {
            $msg = $_LANG['pay_not_exist'];
        }
    }
   
}             
echo $msg;
/*
    //post傳送資料給respon.php
    $ecbank_gateway=$GLOBALS['ecs']->url() . 'respond.php?code=' . $pay_code;
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL,$ecbank_gateway);
		curl_setopt($ch, CURLOPT_VERBOSE, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch,CURLOPT_POSTFIELDS,$_REQUEST);
		$strAuth = curl_exec($ch);
		if (curl_errno($ch)) $strAuth = false;
		curl_close($ch);
*/
 
?>